Package com.tick42.glue.core.interop.discovery

# Class InstanceMatch.Builder<B extends InstanceMatch.Builder<?>>

java.lang.Object
com.tick42.glue.core.interop.discovery.InstanceMatch.Builder<B>

Direct Known Subclasses:
  `ServerQuery`

Enclosing class:
  InstanceMatch

    public static class InstanceMatch.Builder<B extends InstanceMatch.Builder<?>>
    extends Object

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `B` | `application​(String application)` |
  `B` | `application​(Predicate<String> application)` |
  `Predicate<Instance>` | `asMatchPredicate()` |
  `InstanceMatch` | `build()` |
  `B` | `localOnly​(boolean localOnly)` | Flag whether or not the search should include remote instances.
  `B` | `machine​(String machine)` |
  `B` | `machine​(Predicate<String> machine)` |
  `B` | `query​(Map<String,​Object> query)` | Can be used to guarantee specific fields within the instance match.
  `B` | `user​(String user)` |
  `B` | `user​(Predicate<String> user)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### application

    public B application​(String application)

  - ### application

    public B application​(Predicate<String> application)

  - ### query

    public B query​(Map<String,​Object> query)
    Can be used to guarantee specific fields within the instance match.
    Parameters:
      `query` - contains fields to be matched
    Returns:
      this builder, never `null`
    Since:
      1.3

  - ### user

    public B user​(String user)

  - ### user

    public B user​(Predicate<String> user)

  - ### machine

    public B machine​(String machine)

  - ### machine

    public B machine​(Predicate<String> machine)

  - ### localOnly

    public B localOnly​(boolean localOnly)
    Flag whether or not the search should include remote instances. `true` is the default setting and only includes local instances in the search. Likewise, `false` overrides it and expands the search to include remote instances.
    Parameters:
      `localOnly` - if only local instances should be considered in search
    Returns:
      this builder, never `null`
    Since:
      1.3

  - ### build

    public InstanceMatch build()

  - ### asMatchPredicate

    public Predicate<Instance> asMatchPredicate()